Subject: Re: tracking a file from another project in my own project

From: Jakub Narebski <[email-masked]>
Date: Tue, 22 Jan 2008 19:34:42 +0100

Sergei Organov wrote:
> Jakub Narebski <[email-masked]> writes:
>> picca <[email-masked]> writes:
>>> Junio C Hamano <[email-masked]> wrote:
> 
> [...]
> 
>>>> Or "merge -s subtree".
>>> 
>>> I read the git help merge -s explanation but I do not understand how
>>> it can help in my case.
>>
>> Using subtree merge strategy you can join histories of your project
>> and git.git, embedding git.git as a subdirectory like gitk and
>> git-gui are now in git.git.  It is an alternative to using
>> submodules. 
> 
> Is subtree merge strategy documented?
> 
> $ grep subtree Documentation/merge-strategies.txt
> $

Documentation/howto/using-merge-subtree.txt

But I agree that it should be also described, or at least mentioned
in Documentation/merge-strategies.txt
-- 
Jakub Narebski
Poland